> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shipping Profiles

> Get shipping profiles for the tenant/master catalog



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json get /commerce/shipping/admin/profiles
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/admin/profiles:
    get:
      tags:
        - ShippingProfile
      summary: Get Shipping Profiles
      description: Get shipping profiles for the tenant/master catalog
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShippingProfileCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/ShippingProfileCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/ShippingProfileCollection'
          description: Success
components:
  schemas:
    ShippingProfileCollection:
      description: a collection of profiles
      properties:
        items:
          items:
            $ref: '#/components/schemas/ShippingProfile'
          nullable: true
          type: array
        totalCount:
          format: int32
          type: integer
      type: object
    ShippingProfile:
      description: ''
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        code:
          description: Merchant entered unique identifier for a ShippingProfile
          nullable: true
          type: string
        orderHandlingFeeRules:
          description: ''
          items:
            $ref: '#/components/schemas/HandlingFeeRule'
          nullable: true
          type: array
        productHandlingFeeRules:
          description: ''
          items:
            $ref: '#/components/schemas/HandlingFeeRule'
          nullable: true
          type: array
        shippingInclusionRules:
          description: ''
          items:
            $ref: '#/components/schemas/ShippingInclusionRule'
          nullable: true
          type: array
        targetedSiteIds:
          description: "The siteid's for which this profile applies\r\n<remarks>for now there is a 1-1 relationship between this profile and site so only 1 siteid should be in this list</remarks>"
          items:
            format: int32
            type: integer
          nullable: true
          type: array
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    HandlingFeeRule:
      description: An object to group a handling fee with zones, rules, and servicetypes
      properties:
        appliesTo:
          description: "The level at which this fee applies\r\n<value>shippingrate</value><value>order</value>"
          nullable: true
          type: string
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        fulfillmentMethod:
          description: "Fulfillment method this rule applies to.\r\n<value>Ship</value><value>Pickup</value><value>Delivery</value>"
          nullable: true
          type: string
        id:
          description: The system generated id for this rule
          nullable: true
          type: string
        locationCodes:
          description: "Optional location codes for Pickup/Delivery rules.\r\n<remarks>Must be null for Ship rules. When empty/null for Pickup/Delivery, the rule applies to all locations.</remarks>"
          items:
            type: string
          nullable: true
          type: array
        productTargetRuleCodes:
          description: "the product target rule codes associated with this rule\r\n<remarks>leave empty or null to denote all products</remarks>"
          items:
            type: string
          nullable: true
          type: array
        sequence:
          description: The sequence in which this rule is preferred over others
          format: int32
          type: integer
        serviceTypes:
          description: "the servicetypes associated with this rule\r\n<remarks>leave empty or null to denote all carriers and subsequent service types</remarks>"
          items:
            $ref: '#/components/schemas/ServiceType'
          nullable: true
          type: array
        shippingTargetRuleCodes:
          description: "The shipping target rule codes associated with this rule\r\n<remarks>leave empty or null to denote all destinations</remarks>"
          items:
            type: string
          nullable: true
          type: array
        value:
          description: The value of this fee
          format: double
          type: number
        valueType:
          description: "The type of this handling fee\r\n<value>percentage</value><value>flatrate</value>"
          nullable: true
          type: string
      type: object
    ShippingInclusionRule:
      description: >-
        An object to bind service types to shipping target rules and/or product
        target rules
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        id:
          description: The system generated id of this shipping inclusion rule
          nullable: true
          type: string
        productTargetRuleCodes:
          description: "the product target rule codes associated with this rule\r\n<remarks>leave empty or null to denote all products</remarks>"
          items:
            type: string
          nullable: true
          type: array
        sequence:
          description: The sequence in which this rule is preferred over others
          format: int32
          type: integer
        serviceTypes:
          description: "the servicetypes associated with this rule\r\n<remarks>leave empty or null to denote all carriers and subsequent service types</remarks>"
          items:
            $ref: '#/components/schemas/ServiceType'
          nullable: true
          type: array
        shippingTargetRuleCodes:
          description: "The shipping target rule codes associated with this rule\r\n<remarks>leave empty or null to denote all destinations</remarks>"
          items:
            type: string
          nullable: true
          type: array
      type: object
    ServiceType:
      description: Service Type aka Shipping Method
      properties:
        code:
          description: Unique Service Type Code for a particular Carrier
          nullable: true
          type: string
        content:
          $ref: '#/components/schemas/ServiceTypeLocalizedContent'
        deliveryDuration:
          nullable: true
          type: string
      type: object
    ServiceTypeLocalizedContent:
      properties:
        localeCode:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````